TEX1DSIZE(3Cg)

NAME
tex1Dsize - returns the size of a given texture image for a given level of detail.

SYNOPSIS
  int3 tex1Dsize(sampler1D samp, int lod)
  int3 tex1Dsize(isampler1D samp, int lod)
  int3 tex1Dsize(usampler1D samp, int lod)

PARAMETERS

samp
    Sampler to be queried for size.

lod Level of detail to obtain size.

DESCRIPTION
Given a sampler and a level of detail the size of the corresponding texture image is returned as the result of the operation.

PROFILE SUPPORT
tex1Dsize is only supported in gp4 and newer profiles.

SEE ALSO
tex1D, tex1DARRAYsize